Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.internet2.middleware.shibboleth.wayf.idpdisco
Class LogoImpl

    java.lang.Object
      org.opensaml.xml.AbstractXMLObject
          org.opensaml.xml.validation.AbstractValidatingXMLObject
              org.opensaml.common.impl.AbstractSAMLObject
                  edu.internet2.middleware.shibboleth.wayf.idpdisco.LogoImpl

All Implemented Interfaces:
  Logo, org.opensaml.common.SAMLObject, org.opensaml.xml.LangBearing, org.opensaml.xml.validation.ValidatingXMLObject, org.opensaml.xml.XMLObject

    public class LogoImpl

extends org.opensaml.common.impl.AbstractSAMLObject
implements Logo

Concrete implementation of `Logo`.

Field Summary

Fields inherited from interface edu.internet2.middleware.shibboleth.wayf.idpdisco.Logo
`DEFAULT_ELEMENT_LOCAL_NAME, DEFAULT_ELEMENT_NAME, HEIGHT_ATTR_NAME, WIDTH_ATTR_NAME`

Fields inherited from interface org.opensaml.xml.LangBearing
`XML_LANG_ATTR_LOCAL_NAME, XML_LANG_ATTR_NAME`

Constructor Summary
`protected` | `LogoImpl(String namespaceURI, String elementLocalName, String namespacePrefix)` Constructor.

Method Summary
`Integer` | `getHeight()` Get the height of the logo.
`List<org.opensaml.xml.XMLObject>` | `getOrderedChildren()`
`org.opensaml.saml2.metadata.LocalizedString` | `getURL()` Gets the URL.
`Integer` | `getWidth()` Get the width of the logo.
`String` | `getXMLLang()`
`int` | `hashCode()`
`void` | `setHeight(Integer newHeight)` Sets the height of the logo.
`void` | `setURL(org.opensaml.saml2.metadata.LocalizedString newURL)` Sets the URL.
`void` | `setWidth(Integer newWidth)` Sets the width of the logo.
`void` | `setXMLLang(String newLang)`

Methods inherited from class org.opensaml.common.impl.AbstractSAMLObject
`equals, prepareForAssignment`

Methods inherited from class org.opensaml.xml.validation.AbstractValidatingXMLObject
`deregisterValidator, getValidators, registerValidator, validate, validateChildren`

Methods inherited from class org.opensaml.xml.AbstractXMLObject
`addNamespace, detach, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, manageQualifiedAttributeNamespace, prepareAttributeValueForAssignment, prepareElementContentForAssignment, prepareForAssignment, prepareForAssignment, prepareForAssignment, prepareForAssignment, registerOwnID, releaseChildrenDOM, releaseDOM, releaseParentDOM, releaseThisAndChildrenDOM, releaseThisandParentDOM, removeNamespace, resolveID, resolveIDFromRoot, setDOM, setElementNamespacePrefix, setElementQName, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation, setSchemaType`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.opensaml.xml.validation.ValidatingXMLObject
`deregisterValidator, getValidators, registerValidator, validate`

Methods inherited from interface org.opensaml.xml.XMLObject
`addNamespace, detach, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, removeNamespace, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

Constructor Detail

### LogoImpl

    protected LogoImpl(String namespaceURI,
                       String elementLocalName,
                       String namespacePrefix)

  Constructor.

  Parameters:
    `namespaceURI` - namespaceURI
    `elementLocalName` - elementLocalName
    `namespacePrefix` - namespacePrefix

Method Detail

### getHeight

    public Integer getHeight()

  Get the height of the logo.

  Specified by:
    `getHeight` in interface `Logo`
  Returns:
    the height of the logo

### setHeight

    public void setHeight(Integer newHeight)

  Sets the height of the logo.

  Specified by:
    `setHeight` in interface `Logo`
  Parameters:
    `newHeight` - the height of the logo

### getWidth

    public Integer getWidth()

  Get the width of the logo.

  Specified by:
    `getWidth` in interface `Logo`
  Returns:
    the width of the logo

### setWidth

    public void setWidth(Integer newWidth)

  Sets the width of the logo.

  Specified by:
    `setWidth` in interface `Logo`
  Parameters:
    `newWidth` - the height of the logo

### getURL

    public org.opensaml.saml2.metadata.LocalizedString getURL()

  Gets the URL.

  Specified by:
    `getURL` in interface `Logo`
  Returns:
    the URL

### setURL

    public void setURL(org.opensaml.saml2.metadata.LocalizedString newURL)

  Sets the URL.

  Specified by:
    `setURL` in interface `Logo`
  Parameters:
    `newURL` - the URL

### getXMLLang

    public String getXMLLang()

  Specified by:
    `getXMLLang` in interface `org.opensaml.xml.LangBearing`

### setXMLLang

    public void setXMLLang(String newLang)

  Specified by:
    `setXMLLang` in interface `org.opensaml.xml.LangBearing`

### getOrderedChildren

    public List<org.opensaml.xml.XMLObject> getOrderedChildren()

  Specified by:
    `getOrderedChildren` in interface `org.opensaml.xml.XMLObject`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 Internet2. All Rights Reserved.